#include <stdio.h>

void 
vecProduct(double *a, double *b, double *rez)
{
	rez[0] = a[1] * b[2] - a[2] * b[1];
	rez[1] = a[2] * b[0] - a[0] * b[2];
	rez[2] = a[0] * b[1] - a[1] * b[0];
}

int
main()
{
	double a[3] = {10, 11, 12};
	double b[3] = {13, 14, 15};
	double c[3];
	
	vecProduct(a, b, c);
	printf("Product of a and b = (%lf, %lf, %lf)\n", c[0], c[1], c[2]);
	return 0;
}
